LVM-FULLREPORT(8)

NAME
lvm fullreport — Report information about PVs, PV segments, VGs, LVs and LV segments, all at once for each VG.

SYNOPSIS
lvm fullreport [-a|--all] [--aligned] [--binary] [--commandprofile ProfileName] [[--configreport ReportName] [-o|--options [+|-|#]Field1[,Field2...] [-O|--sort [+|-]Key1[,Key2...]] [-S|--select Selection] ...] [-d|--debug] [-h|-?|--help] [--ignorelockingfailure] [--ignoreskippedcluster] [--logonly] [--nameprefixes] [--noheadings] [--nosuffix] [-P|--partial] [--reportformat {basic|json}] [--rows] [--separator Separator] [--unbuffered] [--units hHbBsSkKmMgGtTpPeE] [--unquoted] [-v|--verbose] [--version] [VolumeGroupName [VolumeGroupName...]]

DESCRIPTION
lvm fullreport produces formatted output about PVs, PV segments, VGs, LVs and LV segments, all at once for each VG and guarded by per-VG lock for consistency.

OPTIONS
See lvm(8) for common options.

--all
    Include information in the output about internal Logical Volumes that are components of normally-accessible Logical Volumes, such as mirrors, but which are not independently accessible (e.g. not mountable). The names of such Logical Volumes are enclosed within square brackets in the output. For example, after creating a mirror using lvcreate -m1 --mirrorlog disk , this option will reveal three internal Logical Volumes, with suffixes mimage_0, mimage_1, and mlog.

--aligned
    Use with --separator to align the output columns.

--binary
    Use binary values "0" or "1" instead of descriptive literal values for columns that have exactly two valid values to report (not counting the "unknown" value which denotes that the value could not be determined).

--configreport  ReportName
    Make any subsequent -o, --options, -O, --sort or -S, --select to apply for ReportName where ReportName is 'pv' for PV subreport, 'pvseg' for PV segment subreport, 'vg' for VG subreport, 'lv' for LV subreport, 'seg' for LV segment subreport or 'log' for log report. If --configreport option is not used to identify a report, then all command's subreports are assumed except log report. The log report is available only if enabled by log/report_command_log lvm.conf(5) setting or if --logonly option is used.

--logonly
    Suppress the main report itself and display only log report on output.

--nameprefixes
    Add an "LVM2_" prefix plus the field name to the output. Useful with --noheadings to produce a list of field=value pairs that can be used to set environment variables (for example, in udev(7) rules).

--noheadings
    Suppress the headings line that is normally the first line of output. Useful if grepping the output.

--nosuffix
    Suppress the suffix on output sizes. Use with --units (except h and H) if processing the output.

-o, --options
    Comma-separated ordered list of columns.

    Precede the list with '+' to append to the current list of columns, '-' to remove from the current list of columns or '#' to compact given columns. The -o option can be repeated, providing several lists. These lists are evaluated from left to right.

    For the list of columns, see pvs(8), vgs(8), lvs(8) man page or check pvs, vgs, lvs -o help output.

-O, --sort
    Comma-separated ordered list of columns to sort by. Replaces the default selection. Precede any column with '-' for a reverse sort on that column.

--rows
    Output columns as rows.

-S, --select Selection
    Display only rows that match Selection criteria. All rows are displayed with the additional "selected" column (-o selected) showing 1 if the row matches the Selection and 0 otherwise. The Selection criteria are defined by specifying column names and their valid values (that can include reserved values) while making use of supported comparison operators. See lvm(8) and -S, --select description for more detailed information about constructing the Selection criteria. As a quick help and to see full list of column names that can be used in Selection including the list of reserved values and the set of supported selection operators, check the output of pvs, vgs, lvs -S help command.

--separator Separator
    String to use to separate each column. Useful if grepping the output.

--unbuffered
    Produce output immediately without sorting or aligning the columns properly.

--units hHbBsSkKmMgGtTpPeE
    All sizes are output in these units: (h)uman-readable, (b)ytes, (s)ectors, (k)ilobytes, (m)egabytes, (g)igabytes, (t)erabytes, (p)etabytes, (e)xabytes. Capitalise to use multiples of 1000 (S.I.) instead of 1024. Can also specify custom units e.g. --units 3M

--unquoted
    When used with --nameprefixes, output values in the field=value pairs are not quoted.

SEE ALSO
lvm(8), pvs(8), vgs(8), lvs(8)